global gPTimerSet, gPresentationLight, gLightColor

on startMovie
  clearGlobals()
  set gLightColor to "Green timer light"
  if the colorDepth <> 8 then
    set the colorDepth to 8
  end if
  set the soundLevel to 5
  InitIntro()
  set gPresentationLight to 48
  set the timeoutLength to 36000
  set the timeoutScript to "timeoutProcedure"
  set gPTimerSet to 0
  if the controlDown then
    if the optionDown then
      put "Hi Heidi!" into field "Who to"
    else
      put "Hi Alex!" into field "Who to"
    end if
    go("Set Presentation Time")
    exit
  end if
  if the optionDown then
    put "Company Name" into field "Who to"
    go("Set Presentation Time")
    exit
  end if
  if the commandDown then
    put "Hi Karyn!" into field "Who to"
    go("Set Presentation Time")
    exit
  end if
  if the shiftDown then
    put "Hi Cathy!" into field "Who to"
    go("Set Presentation Time")
    exit
  end if
end

on InitIntro
  global gMyPath, gFile
  set the searchCurrentFolder to 0
  if the machineType = 256 then
    set PathList to ["C:\FILES\", "D:\FILES\", "E:\FILES\", "F:\FILES\", "G:\FILES\", "H:\FILES\", "I:\FILES\", "J:\FILES\", "K:\FILES\", "L:\FILES\", "M:\FILES\", "N:\FILES\", "O:\FILES\", "P:\FILES\", "Q:\FILES\", "R:\FILES\", "S:\FILES\", "T:\FILES\", "U:\FILES\", "V:\FILES\", "W:\FILES\", "X:\FILES\", "Y:\FILES\", "Z:\FILES\", "EOL"]
    set gMyPath to "D:\FILES\"
    repeat with x = 1 to count(PathList)
      set gMyPath to getAt(PathList, x)
      set foo to ReadCDTestFile()
      put foo && "Reading from disk:" && getAt(PathList, x)
      if foo then
        exit repeat
      end if
      if gMyPath = "EOL" then
        CantFindCD()
      end if
    end repeat
  else
    set gMyPath to "SHOWCASE:FILES:"
    set foo to ReadCDTestFile()
    put foo
    if not foo then
      CantFindCD()
    end if
  end if
end

on ReadCDTestFile
  global gFile, gMyPath, gTheProblem
  put "READ CD ROUTINE"
  if objectp(gFile) then
    gFile(mdispose)
  end if
  if the machineType = 256 then
    set TestPath to gMyPath & "CDLOCALE.TXT"
  else
    set TestPath to gMyPath & "CDLOCALE.TXT"
  end if
  set gFile to FileIO(mnew, "read", TestPath)
  if not objectp(gFile) then
    put "NOT found"
    return 0
  else
    gFile(mdispose)
    put "Found!"
    setAt(the searchPath, 1, gMyPath)
    return 1
  end if
end

on CantFindCD
  if the machineType = 256 then
    alert("You don't seem to have the Showcase CD-ROM loaded!  Please make sure the CD is in the drive." & RETURN & RETURN & "Then restart the application.")
  else
    alert("You don't seem to have the Showcase CD-ROM loaded!  Please make sure the CD is in the drive and that the" && QUOTE & "Showcase" & QUOTE && "icon appears on the desktop." & RETURN & RETURN & "Then restart the application.")
  end if
  quit()
end
